SLABTOP(1)

NOM
slabtop - Afficher en temps réel les informations des caches slab du noyau

SYNOPSIS
slabtop [option ...]

DESCRIPTION
slabtop affiche en temps réel les informations détaillées des caches slab (objets alloués au noyau) du noyau. Une liste des principaux caches, triée selon différents critères, est présentée. Un en-tête présente également des statistiques de la couche slab.

OPTIONS
Un appel normal de slabtop ne demande aucune option. Le comportement peut cependant être affiné en ajoutant une ou plusieurs des options suivantes :

-d, --delay=N
    Refresh the display every n in seconds. By default, slabtop refreshes the display every three seconds. To exit the program, hit q. This cannot be combined with the -o option.

-s, --sort=S
    Trier selon le critère de tri S.

-o, --once
    Afficher la sortie une seule fois et quitter.

--human
    Show slab sizes automatically scaled to shortest three digit unit and display the units of print out. Following units are used.

      B  = octets
      Ki = kibioctets
      Mi = mébioctets
      Gi = gibioctets
      Ti = tébioctets
      Pi = pébioctets

If this flag is not used, the slab sizes will be shown in KiB.

-V, --version
    Afficher la version du logiciel et quitter.

-h, --help
    Afficher l'aide-mémoire et quitter.

CRITÈRES DE TRI
Les critères de tri suivants sont utilisés pour classer les caches slab un par un et déterminer ceux qui seront affichés en tête du classement. Le classement par défaut est fait selon le nombre d'objets (« o »).

Les critères de tri peuvent également être modifiés pendant l'exécution de slabtop en entrant le caractère associé.
caractère | description | header
a | nombre d'objets actifs | ACTIF
b | nombre d'objets par slab | OBJ/SLAB
c | taille du cache | TAILLE DU CACHE
l | nombre de slabs | SLABS
v | nombre de slabs actifs | N/A
n | nom | NOM
o | nombre d'objets | OBJS
p | nombre de pages par slab | N/A
s | taille des objets | TAILLE OBJ
u | utilisation du cache | USAGE

COMMANDES
slabtop accepte les commandes entrées au clavier par l'utilisateur pendant l'exécution. Les commandes suivantes sont gérées. Lorsqu'il s'agit de lettres, les minuscules et les majuscules sont acceptées.

Tous les caractères de tri valables sont aussi acceptés, afin de changer la méthode de tri. Consultez la section CRITÈRES DE TRI.

<BARRE_D'ESPACE>
    Rafraîchir l'écran.

Q   Quitter le programme.

FICHIERS

/proc/slabinfo
    informations sur slab

VOIR AUSSI
free(1), ps(1), top(1), vmstat(8)

NOTES
Actuellement, slabtop requiert un noyau 2.4 ou supérieur (en particulier, une version 1.1 ou supérieure de /proc/slabinfo). Les noyaux 2.2 devraient être gérés dans le futur.

The slabtop statistic header is tracking how many bytes of slabs are being used and is not a measure of physical memory. The 'Slab' field in the /proc/meminfo file is tracking information about used slab physical memory.

The CACHE SIZE column is not accurate, it's the upper limit of memory used by specific slab. When system using slub (most common case) is under high memory pressure, there are slab order fallbacks, which means "pages per slab" is not constant and may decrease.

AUTEURS
Écrit par Chris Rivera et Robert Love.

slabtop a été inspiré par le script Perl vmtop de Martin Bligh.

BOGUES
Please send bug reports to procps@freelists.org.